package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[数据对象能力条线数据范围]
 */
@Component("ionicdemo_URDBCDRCodeList")
public class URDBCDRCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_URDBCDR");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue(1);
		item0.setId("1");
		item0.setText("当前条线");
		item0.setLabel("当前条线");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("1",item0);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}